* {
  box-sizing: border-box; /* pour maîtriser width et flex-basis */
}

html {
  display: wrap; flex-direction: column; /* correction bug IE de min-height non appliqué à body */
}

body {
  background-size:16px 16px;
 /*  padding-top: 50px; */
  display: flex; /* crée un contexte flex pour ses enfants */
  flex-direction: column; /* affichage vertical */
  min-height: 100vh; /* toute la hauteur du viewport */
  padding: 1em;
}

.wrapper {
  display: wrap; /* crée un contexte flex pour ses enfants */
  justify-content: space-around;
  flex: 1 1 auto; /* occupe la hauteur restante */
}

nav,
aside {
  width: 10em;
}

article {
  flex: 1; /* occupe la largeur restante */
}

nav {
  order: -1; /* nav s'affiche en premier */
}


/* Responsive (fenêtres de moins de 640px) */

@media (max-width: 640px) {
  .wrapper {
    flex-wrap: wrap; /* affichage vertical */
  }
  nav,
  aside {
    width: auto; /* pour écraser la valeur 10em */
  }
  nav,
  aside,
  article {
    flex-basis: auto; /* pour écraser la valeur 0, due au flex: 1 */
  }
  nav {
    order: 0; /* nav reprend sa place */
  }
}

/* Decoration */

body {
  margin: 0;
  background: #999;
  font-family: arial, sans-serif;
}
header,
nav,
aside,
article,
footer {
  margin: .4em;
  padding: 1em;
  border-radius: 6px;
}
header {
  background: #333e3d;
}
/*
 * Navigation_Bar
 */
nav {
  /* background: #ccccff; */
}
aside {
  /* color: black; */
}
article {
  background: #154360; 
  background: linear-gradient(#648880, #293f50);
  border-radius: 6px;
}
/*
 * Footer
 */
footer {
  color: rgba(255,255,255,.5); 
  background: linear-gradient(#648880, #293f50);
  border-radius: 6px;
}

/*
 * Globals
 */

/* Links */
a,
a:focus,
a:hover {
  color: #fff;
}

/* Custom default button */
.btn-secondary,
.btn-secondary:hover,
.btn-secondary:focus {
  color: #333;
  text-shadow: none; /* Prevent inheritance from `body` */
  background-color: #fff;
  border: .05rem solid #fff;
}


/*
 * Base structure
 */

html,
body {
  height: 100%;
  background-color: #333;
}
body {
  color: #fff;
  text-align: center;
  text-shadow: 0 .05rem .1rem rgba(0,0,0,.5);
}

/* Extra markup and styles for table-esque vertical and horizontal centering */

.cover-container {
  margin-right: auto;
  margin-left: auto;
}

/*
 * Header
 */

.masthead {
 margin-bottom: 2rem; 
}

.inner h3 {
  overflow: auto;
}

.nav-masthead .nav-link {
  float: right; 
  font-weight: bold;
  color: rgba(255,255,255,.5);
  background-color: transparent;
  border-bottom: .25rem solid transparent;
}

.nav-masthead .nav-link:hover,
.nav-masthead .nav-link:focus {
  border-bottom-color: rgba(255,255,255,.25);
}

.nav-masthead .nav-link + .nav-link {
  margin-left: 1rem; 
} 

.nav-masthead .active {
  color: #fff;
  border-bottom-color: #fff;
}

/*
 * Cover
 */

.cover {
  padding: 0 1.5rem;
}
.cover .btn-lg {
  padding: .75rem 1.25rem;
  font-weight: bold;
}

#choix_login{
  color: #283747;
  width: 70%;
}

#login_form form {
  color: #424949 ;
  display: inline-block;
}

#tchater {
  text-decoration-style: none;
  color: #0B5345;
}
#online{
  color: black;
}

#form {
  left: 0;
  right: 0;
  display: inline-block;
  color: black;
}

#delet {
  background-color: silver;
  border-radius: 10px solid;
  color: gray;
}

#tchat {
  width: 100%;
  height: 400px;
  background-color: rgba(11,83,69);
  overflow-x: hidden;
  overflow-y: scroll; 
  padding: 5px;
  margin-left: 0;
  margin-bottom: 10px;
}



/* .inscription-success {
  background: #67b11c url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/29841/tick_2.png") 20px 50% no-repeat;
  background: #67b11c url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/29841/tick_1.svg") 20px 50% no-repeat;
  border: 2px solid #467813;
  border-radius: 5px;
  color: #fff;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  padding: 15px 20px 15px 50px;
} */